<template>
  <div>
      <toptracksc :artists="artists" />
  </div>
</template>

<script>
import api from '@/api/index.js'
import toptracksc from '@/components/toptracksc.vue'

export default {
  name: 'TopTracks',
  components: {
    toptracksc
  },
  data(){
    return{
      artists:[]
    }
    
  },
  //HOOK
  created(){
    api.getTopTracks().then(response => (this.artists = response.data.tracks.track))
  }
}
</script>
